# MatPartitioningCreate

Creates a partitioning context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningCreate(MPI_Comm comm,MatPartitioning *newp)

Collective on MPI_Comm

### Input Parameter

comm -MPI communicator

### Output Parameter

newp -location to put the context

### Keywords

Partitioning, create, context

### See Also

MatPartitioningSetType(), MatPartitioningApply(), MatPartitioningDestroy(),
MatPartitioningSetAdjacency()

Level:beginner
Location: src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/dm/ao/examples/tutorials/ex2.c.html